%define nvidia_current_ver    %version
%define nvidia_current_libver %version
Name:          nvidia
Version:       560.35.03
Epoch:         1
Release:       2mamba
Summary:       NVIDIA proprietary accelerated drivers for the Linux Kernel
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.nvidia.com/en-us/drivers/unix/
Source0:       http://us.download.nvidia.com/XFree86/Linux-x86_64/%{nvidia_current_ver}/NVIDIA-Linux-x86_64-%{nvidia_current_ver}.run
Source1:       nvidia.sysusers
Source2:       nvidia-drm-outputclass.conf
Source3:       nvidia-fallback.service
Patch0:        nvidia-331.20-x86-conftest.patch
Patch1:        nvidia-367.35-kernel-4.6.patch
License:       no OSI Approved
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libcairo-devel
BuildRequires: libdrm-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libmesa-devel
BuildRequires: libpango-devel
## AUTOBUILDREQ-END
ExclusiveArch: x86_64

%description
nvidia proprietary accelerated drivers for the Linux Kernel.
These packages contains parts that are not (fully) released under GPL license.
These modules are packaged apart from the main kernel modules because they are not fully released as GPL. This means that some modules might have been built from binary objects distributed by the hardware manufacturer. By loading this modules you will "taint" the kernel, which means that your running system won't be 100% GPL.

%package -n xorg-drv-video-%{name}
Group:         System/Kernel and Hardware
Summary:       NVIDIA Accelerated Libraries for Xorg
Requires:      xorg-server >= 1.1.0
Requires(post):kernelheaders
Requires(post):dkms
Provides:      Xorg-nvidia
Provides:      xorgdrvvideo
Provides:      kernelnvidia
Conflicts:     xorg-drv-video-nvidia_304
Conflicts:     xorg-drv-video-nvidia_340
Conflicts:     xorg-drv-video-nvidia_390
Conflicts:     libGL-nvidia_304-X11
Conflicts:     libGL-nvidia_340-X11
Conflicts:     libGL-nvidia_390-X11
Obsoletes:     libGL-nvidia_450-X11 <= 1:460.39
Obsoletes:     xorg-drv-video-nvidia_450 <= 1:460.39
Provides:      libGL-%{name}-X11
Obsoletes:     libGL-%{name}-X11 < 1:465.24.02-2mamba
Provides:      xorg-ext-libglx-%{name}
Obsoletes:     xorg-ext-libglx-%{name} < 1:465.24.02-2mamba
Provides:      xorg-apps-%{name}
Obsoletes:     xorg-apps-%{name} < 1:465.24.02-2mamba
Obsoletes:     libglx-nvidia < 1:460.39
Conflicts:     xorg-ext-libglx-nvidia_304
Conflicts:     xorg-ext-libglx-nvidia_340
Conflicts:     xorg-ext-libglx-nvidia_390
Obsoletes:     xorg-ext-libglx-nvidia_450 <= 1:460.39
Conflicts:     xorg-apps-nvidia_304
Conflicts:     xorg-apps-nvidia_340
Conflicts:     xorg-apps-nvidia_390
Obsoletes:     xorg-apps-nvidia_450 <= 1:460.39

%description -n xorg-drv-video-%{name}
The NVIDIA Accelerated Linux Driver Set brings both accelerated 2D functionality and high performance OpenGL support to Linux x86 with theuse of NVIDIA graphics processing units (GPUs).
These drivers provide optimized hardware acceleration of OpenGL applications via a direct-rendering X Server and support nearly all NVIDIA graphics chips. 
TwinView, TV-Out and flat panel displays are also supported.
This package contains the Xorg libraries, DKMS kernel driver and all the NVIDIA libraries.

%package -n xorg-drv-video-%{name}-doc
Group:         Documentation
Summary:       HTML documentation for NVIDIA Accelerated Libraries for Xorg
Conflicts:    xorg-drv-video-nvidia_304-doc
Conflicts:    xorg-drv-video-nvidia_340-doc
Conflicts:    xorg-drv-video-nvidia_390-doc
Obsoletes:    xorg-drv-video-nvidia_450-doc <= 1:460.39

%description -n xorg-drv-video-%{name}-doc
The NVIDIA Accelerated Linux Driver Set brings both accelerated 2D functionality and high performance OpenGL support to Linux x86 with theuse of NVIDIA graphics processing units (GPUs).
These drivers provide optimized hardware acceleration of OpenGL applications via a direct-rendering X Server and support nearly all NVIDIA graphics chips. 
TwinView, TV-Out and flat panel displays are also supported.
This package contains the HTML documentation.

# Turn off strip'ng of binaries
%global __strip /bin/true

%prep
%setup -q -c -n %{name}-%{version} -T

%global __provides_exclude ^(libGL\\.so.*|libEGL\\.so.*|libGLESv1_CM\\.so.*|libGLESv2\\.so.*|libOpenCL\\.so.*)$
#% global __requires_exclude ^(libGLX.so.0.*|libGLdispatch.)$

#
# unpack NVIDIA files
#
sh %{SOURCE0} --extract-only
ln -sf NVIDIA-Linux-x86_64-%{nvidia_current_ver} current

sed -i "s|__UTILS_PATH__|%{_bindir}|;s|__PIXMAP_PATH__|%{_datadir}/pixmaps|" \
   current/nvidia-settings.desktop

cd current
#%patch0 -p1
#%patch1 -p1
tar xf nvidia-persistenced-init.tar.bz2
cd ..

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
pushd current

# From Arch Linux
# X driver
install -D -m755 nvidia_drv.so %{buildroot}%{_libdir}/xorg/modules/drivers/nvidia_drv.so

# Wayland/GBM
install -D -m755 libnvidia-egl-gbm.so.1* -t %{buildroot}%{_libdir}/
install -D -m644 15_nvidia_gbm.json %{buildroot}%{_datadir}/egl/egl_external_platform.d/15_nvidia_gbm.json
mkdir -p %{buildroot}%{_libdir}/gbm
ln -sr ../libnvidia-allocator.so.%{version} %{buildroot}%{_libdir}/gbm/nvidia-drm_gbm.so

# firmware
install -D -m644 -t %{buildroot}%{_prefix}/lib/firmware/nvidia/%{version}/ firmware/*.bin

# GLX extension module for X
install -D -m755 libglxserver_nvidia.so.%{version} %{buildroot}%{_libdir}/nvidia/xorg/libglxserver_nvidia.so.%{version}

# Ensure that X finds glx
ln -s libglxserver_nvidia.so.%{version} %{buildroot}%{_libdir}/nvidia/xorg/libglxserver_nvidia.so.1
ln -s libglxserver_nvidia.so.%{version} %{buildroot}%{_libdir}/nvidia/xorg/libglxserver_nvidia.so

install -D -m755 libGLX_nvidia.so.%{version} %{buildroot}%{_libdir}/libGLX_nvidia.so.%{version}

# OpenGL libraries
install -D -m755 libEGL_nvidia.so.%{version} %{buildroot}%{_libdir}/libEGL_nvidia.so.%{version}
install -D -m755 libGLESv1_CM_nvidia.so.%{version} %{buildroot}%{_libdir}/libGLESv1_CM_nvidia.so.%{version}
install -D -m755 libGLESv2_nvidia.so.%{version} %{buildroot}%{_libdir}/libGLESv2_nvidia.so.%{version}
install -D -m644 10_nvidia.json %{buildroot}%{_datadir}/glvnd/egl_vendor.d/10_nvidia.json

# OpenGL core library
install -D -m755 libnvidia-glcore.so.%{version} %{buildroot}%{_libdir}/libnvidia-glcore.so.%{version}
install -D -m755 libnvidia-eglcore.so.%{version} %{buildroot}%{_libdir}/libnvidia-eglcore.so.%{version}
install -D -m755 libnvidia-glsi.so.%{version} %{buildroot}%{_libdir}/libnvidia-glsi.so.%{version}

# OpenCL
install -D -m644 nvidia.icd %{buildroot}%{_sysconfdir}/OpenCL/vendors/nvidia.icd
#install -D -m755 libnvidia-compiler.so.%{version} %{buildroot}%{_libdir}/libnvidia-compiler.so.%{version}
install -D -m755 libnvidia-opencl.so.%{version} %{buildroot}%{_libdir}/libnvidia-opencl.so.%{version}

# misc
#install -D -m755 libnvidia-ifr.so.%{version} %{buildroot}%{_libdir}/libnvidia-ifr.so.%{version}
install -D -m755 libnvidia-fbc.so.%{version} %{buildroot}%{_libdir}/libnvidia-fbc.so.%{version}
install -D -m755 libnvidia-encode.so.%{version} %{buildroot}%{_libdir}/libnvidia-encode.so.%{version}
install -D -m755 libnvidia-cfg.so.%{version} %{buildroot}%{_libdir}/libnvidia-cfg.so.%{version}
install -D -m755 libnvidia-ml.so.%{version} %{buildroot}%{_libdir}/libnvidia-ml.so.%{version}
install -D -m755 libnvidia-glvkspirv.so.%{version} %{buildroot}%{_libdir}/libnvidia-glvkspirv.so.%{version}
install -D -m755 libnvidia-allocator.so.%{version} %{buildroot}%{_libdir}/libnvidia-allocator.so.%{version}
install -D -m755 libnvidia-gpucomp.so.%{version} %{buildroot}%{_libdir}/libnvidia-gpucomp.so.%{version}

# Vulkan ICD
install -D -m644 nvidia_icd.json %{buildroot}%{_datadir}/vulkan/icd.d/nvidia_icd.json
install -D -m644 nvidia_layers.json %{buildroot}%{_datadir}/vulkan/implicit_layer.d/nvidia_layers.json

# VDPAU
install -D -m755 libvdpau_nvidia.so.%{version} %{buildroot}%{_libdir}/vdpau/libvdpau_nvidia.so.%{version}

# nvidia-tls library
install -D -m755 libnvidia-tls.so.%{version} %{buildroot}%{_libdir}/libnvidia-tls.so.%{version}

# CUDA
install -D -m755 libcuda.so.%{version} %{buildroot}%{_libdir}/libcuda.so.%{version}
install -D -m755 libnvcuvid.so.%{version} %{buildroot}%{_libdir}/libnvcuvid.so.%{version}

# NVVM Compiler library loaded by the CUDA driver to do JIT link-time-optimization
install -D -m644 libnvidia-nvvm.so.%{version} %{buildroot}%{_libdir}/libnvidia-nvvm.so.%{version}

# PTX JIT Compiler (Parallel Thread Execution (PTX) is a pseudo-assembly language for CUDA)
install -D -m755 libnvidia-ptxjitcompiler.so.%{version} %{buildroot}%{_libdir}/libnvidia-ptxjitcompiler.so.%{version}

# raytracing
install -D -m755 libnvoptix.so.%{version} %{buildroot}%{_libdir}/libnvoptix.so.%{version}
install -D -m755 libnvidia-rtcore.so.%{version} %{buildroot}%{_libdir}/libnvidia-rtcore.so.%{version}
#install -D -m755 libnvidia-cbl.so.%{version} %{buildroot}%{_libdir}/libnvidia-cbl.so.%{version}
install -D -m0644 nvoptix.bin %{buildroot}%{_datadir}/nvidia/nvoptix.bin
# NGX
install -D -m755 nvidia-ngx-updater %{buildroot}%{_bindir}/nvidia-ngx-updater
install -D -m755 libnvidia-ngx.so.%{version} %{buildroot}%{_libdir}/libnvidia-ngx.so.%{version}
install -D -m755 _nvngx.dll %{buildroot}%{_libdir}/nvidia/wine/_nvngx.dll
install -D -m755 nvngx.dll %{buildroot}%{_libdir}/nvidia/wine/nvngx.dll

# Optical flow
install -D -m755 libnvidia-opticalflow.so.%{version} %{buildroot}%{_libdir}/libnvidia-opticalflow.so.%{version}

# DEBUG
install -D -m755 nvidia-debugdump %{buildroot}%{_bindir}/nvidia-debugdump

# nvidia-xconfig
install -D -m755 nvidia-xconfig %{buildroot}%{_bindir}/nvidia-xconfig
install -D -m644 nvidia-xconfig.1.gz %{buildroot}%{_mandir}/man1/nvidia-xconfig.1.gz

# nvidia-settings
install -D -m755 nvidia-settings %{buildroot}%{_bindir}/nvidia-settings
install -D -m644 nvidia-settings.1.gz %{buildroot}%{_mandir}/man1/nvidia-settings.1.gz
install -D -m644 nvidia-settings.desktop %{buildroot}%{_datadir}/applications/nvidia-settings.desktop
install -D -m644 nvidia-settings.png %{buildroot}%{_datadir}/pixmaps/nvidia-settings.png
sed -e 's:__UTILS_PATH__:/usr/bin:' -e 's:__PIXMAP_PATH__:/usr/share/pixmaps:' -i %{buildroot}%{_datadir}/applications/nvidia-settings.desktop
install -D -m755 libnvidia-gtk3.so.%{version} %{buildroot}%{_libdir}/libnvidia-gtk3.so.%{version}
install -D -m 644 nvidia-settings.desktop \
   %{buildroot}%{_datadir}/applications/nvidia-settings.desktop
install -D -m 644 nvidia-settings.png \
   %{buildroot}%{_datadir}/pixmaps/nvidia-settings.png

# nvidia-bug-report
install -D -m755 nvidia-bug-report.sh %{buildroot}%{_bindir}/nvidia-bug-report.sh

# nvidia-smi
install -D -m755 nvidia-smi %{buildroot}%{_bindir}/nvidia-smi
install -D -m644 nvidia-smi.1.gz %{buildroot}%{_mandir}/man1/nvidia-smi.1.gz

# nvidia-cuda-mps
install -D -m755 nvidia-cuda-mps-server %{buildroot}%{_bindir}/nvidia-cuda-mps-server
install -D -m755 nvidia-cuda-mps-control %{buildroot}%{_bindir}/nvidia-cuda-mps-control
install -D -m644 nvidia-cuda-mps-control.1.gz %{buildroot}%{_mandir}/man1/nvidia-cuda-mps-control.1.gz

# nvidia-modprobe
# This should be removed if nvidia fixed their uvm module!
install -D -m4755 nvidia-modprobe %{buildroot}%{_bindir}/nvidia-modprobe
install -D -m644 nvidia-modprobe.1.gz %{buildroot}%{_mandir}/man1/nvidia-modprobe.1.gz

# nvidia-persistenced
install -D -m755 nvidia-persistenced %{buildroot}%{_bindir}/nvidia-persistenced
install -D -m644 nvidia-persistenced.1.gz %{buildroot}%{_mandir}/man1/nvidia-persistenced.1.gz
install -D -m644 nvidia-persistenced-init/systemd/nvidia-persistenced.service.template %{buildroot}%{_unitdir}/nvidia-persistenced.service
sed -i 's/__USER__/nvidia-persistenced/' %{buildroot}%{_unitdir}/nvidia-persistenced.service

# application profiles
install -D -m644 nvidia-application-profiles-%{version}-rc %{buildroot}%{_datadir}/nvidia/nvidia-application-profiles-%{version}-rc
install -D -m644 nvidia-application-profiles-%{version}-key-documentation %{buildroot}%{_datadir}/nvidia/nvidia-application-profiles-%{version}-key-documentation

# new power management support
install -D -m644 systemd/system/*.service -t %{buildroot}%{_unitdir}/
install -D -m755 systemd/system-sleep/nvidia %{buildroot}%{_systemd_util_dir}/system-sleep/nvidia
install -D -m755 systemd/nvidia-sleep.sh %{buildroot}%{_bindir}/nvidia-sleep.sh
install -Dm755 nvidia-powerd %{buildroot}%{_bindir}/nvidia-powerd
install -Dm644 nvidia-dbus.conf %{buildroot}%{_datadir}/dbus-1/system.d/nvidia-dbus.conf
	
# distro specific files must be installed in /usr/share/X11/xorg.conf.d
install -D -m644 %{SOURCE2} %{buildroot}%{_datadir}/X11/xorg.conf.d/10-nvidia-drm-outputclass.conf

install -Dm644 %{SOURCE1} %{buildroot}%{_sysusersdir}/nvidia.conf

## Clutter workaround (http://blog.sukimashita.com/2015/04/13/gnome-3-16-and-nvidia-binary-driver-crash-with-totem-gnome-maps-cheese-and-others/)
#mkdir -p %{buildroot}%{_sysconfdir}/profile.d/
#cat > %{buildroot}%{_sysconfdir}/profile.d/nvidia-clutter.sh << _EOF
#export CLUTTER_BACKEND=x11
#_EOF
#chmod +x %{buildroot}%{_sysconfdir}/profile.d/nvidia-clutter.sh

install -d -m0755 %{buildroot}%{_modprobedir}
cat > %{buildroot}%{_modprobedir}/nvidia.conf << _EOF
blacklist nouveau
options nvidia_drm modeset=1
_EOF

#install -d -m0755 %{buildroot}%{_modulesloaddir}
#cat > %{buildroot}%{_modulesloaddir}/nvidia.conf << _EOF
#simplefb
#_EOF

install -d -m0755 %{buildroot}%{_sysconfdir}/dracut.conf.d
cat > %{buildroot}%{_sysconfdir}/dracut.conf.d/20-nvidia.conf << __EOF
add_drivers+=" nvidia nvidia_drm nvidia_modeset "
__EOF

# fallback service which loads nouveau driver if nvidia was not loaded
install %{SOURCE3} %{buildroot}%{_unitdir}/nvidia-fallback.service

# dkms
install -d -m0755 %{buildroot}%{_prefix}/src/%{name}-%{version}
cp -a kernel/* %{buildroot}%{_prefix}/src/%{name}-%{version}/
cat > %{buildroot}%{_prefix}/src/%{name}-%{version}/dkms.conf << _EOF
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{version}
MAKE="ln -sf /usr/src/\${PACKAGE_NAME}-\${PACKAGE_VERSION}/nv-kernel.o \${dkms_tree}/\${PACKAGE_NAME}/\${PACKAGE_VERSION}/build/;\
IGNORE_CC_MISMATCH=1 make SYSSRC=\${kernel_source_dir} modules"
CLEAN="make SYSSRC=\${kernel_source_dir} clean"
BUILT_MODULE_NAME[0]=nvidia
BUILT_MODULE_LOCATION[0]=./
DEST_MODULE_LOCATION[0]=/kernel/drivers/video
BUILT_MODULE_NAME[1]=nvidia-drm
BUILT_MODULE_LOCATION[1]=./
DEST_MODULE_LOCATION[1]=/kernel/drivers/video
BUILT_MODULE_NAME[2]=nvidia-modeset
BUILT_MODULE_LOCATION[2]=./
DEST_MODULE_LOCATION[2]=/kernel/drivers/video
%ifarch x86_64
BUILT_MODULE_NAME[3]=nvidia-uvm
BUILT_MODULE_LOCATION[3]=./
DEST_MODULE_LOCATION[3]=/kernel/drivers/video
%endif
AUTOINSTALL=yes
_EOF

%check
cd current/kernel
#for d in /lib/modules/4.*/build; do
#   kver=`echo $d|sed "s|/lib/modules/\(.*\)/build.*|\1|"`
#   [ "${kver:0:4}" == "4.0." -o "${kver:0:3}" == "4.1." ] && continue
#   [ "${kver/-arm}" == "${kver}" ] || continue
   d=/lib/modules/`uname -r`/build
   rm -f *.ko
   make %{_smp_mflags} SYSSRC=$d
   for n in nvidia nvidia-drm nvidia-modeset \
%ifarch x86_64
nvidia-uvm \
%endif
   ; do
      [ -e ${n}.ko ] || exit 1
   done
   make %{_smp_mflags} SYSSRC=$d clean
#done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n xorg-drv-video-%{name}
%systemd_post nvidia-fallback
:

%preun -n xorg-drv-video-%{name}
%systemd_preun nvidia-fallback
dkms remove -q -m nvidia -v %{version} --all
:

%postun -n xorg-drv-video-%{name}
%systemd_postun nvidia-fallback
:

%posttrans -n xorg-drv-video-%{name}
if [ $1 -ge 1 ]; then
   # clean any legacy alternatives symlink
   find /lib/modules/*/kernel/drivers/video/ -name nvidia.ko -type l -exec rm -f {} \;
   dkms add -q -m %{name} -v %{version}
   dkms install -q -m %{name} -v %{version}
fi

/sbin/depmod -a -F /boot/System.map-%{kernel_ver}%{?KERNEL_TARGET} \
   %{kernel_ver}%{?KERNEL_TARGET} &>/dev/null

KVER=`uname -r`
INITRAMFS=/boot/initramfs-${KVER}.img
[ -e ${INITRAMFS} -a %{_modprobedir}/nvidia.conf -nt ${INITRAMFS} ] || continue
[ -e /usr/sbin/mkinitrd ] && /usr/sbin/mkinitrd ${INITRAMFS} ${KVER} -f -H -q
:

%files -n xorg-drv-video-%{name}
%defattr(-,root,root)
%{_sysconfdir}/dracut.conf.d/20-nvidia.conf
%{_sysconfdir}/OpenCL/vendors/nvidia.icd
%dir %{_prefix}/src/%{name}-%{version}
%{_prefix}/src/%{name}-%{version}/*
%{_prefix}/lib/firmware/nvidia/%{version}/*.bin
%{_bindir}/nvidia-*
%{_modprobedir}/nvidia.conf
#%{_modulesloaddir}/nvidia.conf
%{_systemd_util_dir}/system-sleep/nvidia
%{_unitdir}/nvidia-hibernate.service
%{_unitdir}/nvidia-persistenced.service
%{_unitdir}/nvidia-powerd.service
%{_unitdir}/nvidia-suspend.service
%{_unitdir}/nvidia-resume.service
%{_unitdir}/nvidia-fallback.service
%{_sysusersdir}/nvidia.conf
%{_datadir}/dbus-1/system.d/nvidia-dbus.conf
%{_libdir}/libEGL_nvidia.so.*
%{_libdir}/libGLESv1_CM_nvidia.so.*
%{_libdir}/libGLESv2_nvidia.so.*
%{_libdir}/libGLX_nvidia.so.*
%{_libdir}/libcuda.so.*
%{_libdir}/libnvcuvid.so.*
%{_libdir}/libnvidia-*.so.*
%{_libdir}/libnvoptix.so.*
%dir %{_libdir}/nvidia
%dir %{_libdir}/nvidia/xorg
%{_libdir}/nvidia/xorg/libglxserver_nvidia.so
%{_libdir}/nvidia/xorg/libglxserver_nvidia.so.*
%{_libdir}/nvidia/wine/_nvngx.dll
%{_libdir}/nvidia/wine/nvngx.dll
%{_libdir}/gbm/nvidia-drm_gbm.so
%{_libdir}/vdpau/libvdpau_nvidia.so.*
%{_libdir}/xorg/modules/drivers/nvidia_drv.so
%{_datadir}/X11/xorg.conf.d/10-nvidia-drm-outputclass.conf
%{_datadir}/applications/nvidia-settings.desktop
%{_datadir}/egl/egl_external_platform.d/15_nvidia_gbm.json
%{_datadir}/glvnd/egl_vendor.d/10_nvidia.json
%{_datadir}/nvidia/nvidia-application-profiles-%{version}-key-documentation
%{_datadir}/nvidia/nvidia-application-profiles-%{version}-rc
%{_datadir}/nvidia/nvoptix.bin
%{_datadir}/pixmaps/nvidia-settings.png
%{_datadir}/vulkan/icd.d/nvidia_icd.json
%{_datadir}/vulkan/implicit_layer.d/nvidia_layers.json
%{_mandir}/man1/nvidia-*.1*
%doc current/LICENSE

%files -n xorg-drv-video-%{name}-doc
%defattr(-,root,root)
%doc current/{NVIDIA_Changelog,README.txt} current/html

%changelog
* Sun Aug 25 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 560.35.03-2mamba
- added nvidia-fallback service which loads nouveau as fallback if nvidia driver is not loaded before display-manager
- remove simplefb causing plymouth to block at boot if nvidia driver is not loaded

* Thu Aug 22 2024 Automatic Build System <autodist@openmamba.org> 560.35.03-1mamba
- automatic version update by autodist

* Wed Aug 07 2024 Automatic Build System <autodist@openmamba.org> 560.31.02-1mamba
- automatic version update by autodist

* Tue Jul 23 2024 Automatic Build System <autodist@openmamba.org> 560.28.03-1mamba
- automatic version update by autodist

* Tue Jul 02 2024 Automatic Build System <autodist@openmamba.org> 555.58.02-1mamba
- automatic version update by autodist

* Fri Jun 28 2024 Automatic Build System <autodist@openmamba.org> 555.58-1mamba
- automatic version update by autodist

* Wed Jun 05 2024 Automatic Build System <autodist@openmamba.org> 555.52.04-1mamba
- automatic version update by autodist

* Wed May 22 2024 Automatic Build System <autodist@openmamba.org> 555.42.02-1mamba
- automatic version update by autodist

* Thu Apr 25 2024 Automatic Build System <autodist@openmamba.org> 550.78-1mamba
- automatic version update by autodist

* Thu Apr 18 2024 Automatic Build System <autodist@openmamba.org> 550.76-1mamba
- automatic version update by autodist

* Wed Mar 20 2024 Automatic Build System <autodist@openmamba.org> 550.67-1mamba
- automatic version update by autodist

* Fri Feb 23 2024 Automatic Build System <autodist@openmamba.org> 550.54.14-1mamba
- automatic version update by autodist

* Thu Jan 25 2024 Automatic Build System <autodist@openmamba.org> 550.40.07-1mamba
- automatic version update by autodist

* Thu Jan 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 545.29.06-2mamba
- add modules-load.d/nvidia.conf to load simplefb

* Thu Jan 04 2024 Automatic Build System <autodist@mambasoft.it> 545.29.06-1mamba
- automatic version update by autodist

* Fri Sep 22 2023 Automatic Build System <autodist@mambasoft.it> 535.113.01-1mamba
- automatic version update by autodist

* Wed Aug 23 2023 Automatic Build System <autodist@mambasoft.it> 535.104.05-1mamba
- automatic version update by autodist

* Wed Aug 09 2023 Automatic Build System <autodist@mambasoft.it> 535.98-1mamba
- automatic version update by autodist

* Wed Jul 19 2023 Automatic Build System <autodist@mambasoft.it> 535.86.05-1mamba
- automatic version update by autodist

* Thu Jun 15 2023 Automatic Build System <autodist@mambasoft.it> 535.54.03-1mamba
- automatic version update by autodist

* Thu Jun 01 2023 Automatic Build System <autodist@mambasoft.it> 535.43.02-1mamba
- automatic version update by autodist

* Sat Mar 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 530.41.03-2mamba
- fix nvidia-settings by installing libnvidia-gtk3.so.*
- modprobe.d/nvidia.conf: set nvidia_drm.modeset=1
- dracut.conf.d/20-nvidia.conf: ensure kernel modules are added to initramfs

* Fri Mar 24 2023 Automatic Build System <autodist@mambasoft.it> 530.41.03-1mamba
- automatic version update by autodist

* Thu Mar 02 2023 Automatic Build System <autodist@mambasoft.it> 530.30.02-1mamba
- automatic version update by autodist

* Thu Feb 09 2023 Automatic Build System <autodist@mambasoft.it> 525.89.02-1mamba
- automatic version update by autodist

* Sat Feb 04 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 525.85.05-2mamba
- fix wrong target package for posttrans script

* Sat Jan 21 2023 Automatic Build System <autodist@mambasoft.it> 525.85.05-1mamba
- automatic version update by autodist

* Fri Jan 06 2023 Automatic Build System <autodist@mambasoft.it> 525.78.01-1mamba
- automatic version update by autodist

* Sun Dec 04 2022 Automatic Build System <autodist@mambasoft.it> 525.60.11-1mamba
- automatic version update by autodist

* Tue Nov 01 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 520.56.06-3mamba
- add modprobe.d file to blacklist nouveau and regenerate initramfs

* Sat Oct 29 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 520.56.06-2mamba
- preun: fix removal of previous dkms builds and installations of module

* Fri Oct 14 2022 Automatic Build System <autodist@mambasoft.it> 520.56.06-1mamba
- automatic version update by autodist

* Thu Sep 22 2022 Automatic Build System <autodist@mambasoft.it> 515.76-1mamba
- automatic version update by autodist

* Wed Aug 03 2022 Automatic Build System <autodist@mambasoft.it> 515.65.01-1mamba
- automatic version update by autodist

* Tue Jun 28 2022 Automatic Build System <autodist@mambasoft.it> 515.57-1mamba
- automatic version update by autodist

* Thu Jun 02 2022 Automatic Build System <autodist@mambasoft.it> 515.48.07-1mamba
- automatic version update by autodist

* Fri May 13 2022 Automatic Build System <autodist@mambasoft.it> 515.43.04-1mamba
- automatic version update by autodist

* Wed Apr 27 2022 Automatic Build System <autodist@mambasoft.it> 510.68.02-1mamba
- automatic version update by autodist

* Wed Mar 23 2022 Automatic Build System <autodist@mambasoft.it> 510.60.02-1mamba
- automatic version update by autodist

* Tue Feb 15 2022 Automatic Build System <autodist@mambasoft.it> 510.54-1mamba
- automatic version update by autodist

* Wed Feb 02 2022 Automatic Build System <autodist@mambasoft.it> 510.47.03-1mamba
- automatic version update by autodist

* Thu Jan 13 2022 Automatic Build System <autodist@mambasoft.it> 510.39.01-1mamba
- automatic version update by autodist

* Sun Dec 26 2021 Automatic Build System <autodist@mambasoft.it> 495.46-1mamba
- automatic version update by autodist

* Tue Sep 21 2021 Automatic Build System <autodist@mambasoft.it> 470.74-1mamba
- automatic version update by autodist

* Tue Aug 17 2021 Automatic Build System <autodist@mambasoft.it> 470.63.01-1mamba
- automatic version update by autodist

* Tue Jul 20 2021 Automatic Build System <autodist@mambasoft.it> 470.57.02-1mamba
- automatic version update by autodist

* Wed Jun 23 2021 Automatic Build System <autodist@mambasoft.it> 470.42.01-1mamba
- automatic version update by autodist

* Wed May 19 2021 Automatic Build System <autodist@mambasoft.it> 465.31-1mamba
- automatic version update by autodist

* Fri Apr 30 2021 Automatic Build System <autodist@mambasoft.it> 465.27-1mamba
- automatic version update by autodist

* Fri Apr 23 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 465.24.02-2mamba
- rebuilt with libglvnd and libmesa

* Thu Apr 15 2021 Automatic Build System <autodist@mambasoft.it> 465.24.02-1mamba
- automatic version update by autodist

* Thu Apr 15 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 460.73.01-1mamba
- update to 460.73.01

* Thu Apr 15 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 460.39-2mamba
- renamed from nvidia_450

* Wed Jan 27 2021 Automatic Build System <autodist@mambasoft.it> 460.39-1mamba
- automatic version update by autodist

* Fri Jan 08 2021 Automatic Build System <autodist@mambasoft.it> 460.32.03-1mamba
- automatic version update by autodist

* Thu Nov 19 2020 Automatic Build System <autodist@mambasoft.it> 455.45.01-1mamba
- automatic version update by autodist

* Thu Oct 08 2020 Automatic Build System <autodist@mambasoft.it> 455.28-1mamba
- automatic version update by autodist

* Thu Oct 01 2020 Automatic Build System <autodist@mambasoft.it> 450.80.02-1mamba
- automatic version update by autodist

* Mon Aug 31 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 450.66-3mamba
- fix removing provides for conflicting libraries

* Sun Aug 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 450.66-2mamba
- remove provide for conflicting libraries

* Fri Aug 21 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 450.66-1mamba
- update to 450.66
- dkms: added IGNORE_CC_MISMATCH=1 before make command to support gcc 10.1+

* Sun Aug 09 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 450.57-1mamba
- update to 450.57

* Fri Jul 24 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 390.138-1mamba
- update to 390.138

* Thu Jun 18 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 390.132-1mamba
- update to 390.132

* Thu Feb 28 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 390.116-1mamba
- update to 390.116

* Thu Mar 29 2018 Automatic Build System <autodist@mambasoft.it> 390.48-1mamba
- automatic version update by autodist

* Thu Mar 15 2018 Automatic Build System <autodist@mambasoft.it> 390.42-1mamba
- automatic version update by autodist

* Tue Feb 06 2018 Automatic Build System <autodist@mambasoft.it> 390.25-1mamba
- automatic version update by autodist

* Sun Feb 04 2018 Automatic Build System <autodist@mambasoft.it> 387.34-1mamba
- automatic version update by autodist

* Tue Oct 31 2017 Automatic Build System <autodist@mambasoft.it> 387.22-1mamba
- automatic version update by autodist

* Wed Oct 04 2017 Automatic Build System <autodist@mambasoft.it> 387.12-1mamba
- automatic version update by autodist

* Thu Sep 28 2017 Automatic Build System <autodist@mambasoft.it> 384.90-1mamba
- automatic version update by autodist

* Tue Sep 05 2017 Automatic Build System <autodist@mambasoft.it> 384.69-1mamba
- automatic version update by autodist

* Sun Aug 06 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 384.59-1mamba
- update to 384.59

* Fri Mar 03 2017 Automatic Build System <autodist@mambasoft.it> 378.13-1mamba
- automatic version update by autodist

* Tue Feb 21 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 375.39-1mamba
- update to 375.39
- fixed dkms.conf

* Thu Dec 15 2016 Automatic Build System <autodist@mambasoft.it> 375.26-1mamba
- automatic version update by autodist

* Sat Nov 19 2016 Automatic Build System <autodist@mambasoft.it> 375.20-1mamba
- automatic version update by autodist

* Fri Nov 04 2016 Automatic Build System <autodist@mambasoft.it> 375.10-1mamba
- automatic version update by autodist

* Sat Sep 17 2016 Automatic Build System <autodist@mambasoft.it> 370.28-2mamba
- automatic version update by autodist

* Thu Sep 08 2016 Automatic Build System <autodist@mambasoft.it> 370.28-1mamba
- automatic version update by autodist

* Fri Aug 26 2016 Automatic Build System <autodist@mambasoft.it> 370.23-1mamba
- automatic version update by autodist

* Wed Aug 24 2016 Automatic Build System <autodist@mambasoft.it> 367.44-1mamba
- automatic version update by autodist

* Sun Jul 31 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 367.35-2mamba
- added check section to make sure module compiles with installed kernels in buildvm

* Sat Jul 16 2016 Automatic Build System <autodist@mambasoft.it> 367.35-1mamba
- automatic version update by autodist

* Tue Jun 14 2016 Automatic Build System <autodist@mambasoft.it> 367.27-1mamba
- automatic version update by autodist

* Mon Jun 13 2016 Automatic Build System <autodist@mambasoft.it> 367.18-1mamba
- automatic version update by autodist

* Sat Apr 23 2016 Automatic Build System <autodist@mambasoft.it> 364.19-1mamba
- automatic version update by autodist

* Thu Mar 31 2016 Automatic Build System <autodist@mambasoft.it> 361.42-1mamba
- automatic version update by autodist

* Tue Feb 09 2016 Automatic Build System <autodist@mambasoft.it> 361.28-1mamba
- automatic version update by autodist

* Sat Nov 21 2015 Automatic Build System <autodist@mambasoft.it> 358.16-2mamba
- automatic version update by autodist

* Sat Nov 21 2015 Automatic Build System <autodist@mambasoft.it> 358.16-1mamba
- automatic version update by autodist

* Tue Sep 01 2015 Automatic Build System <autodist@mambasoft.it> 355.11-2mamba
- automatic version update by autodist

* Tue Sep 01 2015 Automatic Build System <autodist@mambasoft.it> 355.11-1mamba
- automatic version update by autodist

* Tue Aug 04 2015 Automatic Build System <autodist@mambasoft.it> 355.06-1mamba
- automatic version update by autodist

* Tue Jul 28 2015 Automatic Build System <autodist@mambasoft.it> 352.30-2mamba
- automatic version update by autodist

* Tue Jul 28 2015 Automatic Build System <autodist@mambasoft.it> 352.30-1mamba
- automatic version update by autodist

* Tue Jun 16 2015 Automatic Build System <autodist@mambasoft.it> 352.21-1mamba
- automatic version update by autodist

* Thu May 28 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 352.09-2mamba
- CLUTTER_BACKEND workaround to fix Gnome >= 3.16 apps

* Tue May 19 2015 Automatic Build System <autodist@mambasoft.it> 352.09-1mamba
- automatic version update by autodist

* Wed Apr 22 2015 Automatic Build System <autodist@mambasoft.it> 349.16-1mamba
- automatic version update by autodist

* Wed Apr 08 2015 Automatic Build System <autodist@mambasoft.it> 346.59-1mamba
- automatic version update by autodist

* Wed Feb 25 2015 Automatic Build System <autodist@mambasoft.it> 346.47-1mamba
- automatic version update by autodist
- source edit (next build): don't call nvidia-autoselect-driver

* Fri Jan 23 2015 Automatic Build System <autodist@mambasoft.it> 346.35-1mamba
- automatic version update by autodist

* Sat Dec 06 2014 Automatic Build System <autodist@mambasoft.it> 343.36-1mamba
- automatic version update by autodist

* Mon Sep 22 2014 Automatic Build System <autodist@mambasoft.it> 343.22-1mamba
- automatic version update by autodist

* Sat Aug 16 2014 Automatic Build System <autodist@mambasoft.it> 340.32-1mamba
- automatic version update by autodist

* Wed Jul 09 2014 Automatic Build System <autodist@mambasoft.it> 340.24-1mamba
- automatic version update by autodist

* Sat Jun 14 2014 Automatic Build System <autodist@mambasoft.it> 337.25-2mamba
- X.org 1.15 rebuild

* Thu Jun 05 2014 Automatic Build System <autodist@mambasoft.it> 337.25-1mamba
- automatic version update by autodist

* Tue May 20 2014 Automatic Build System <autodist@mambasoft.it> 337.19-1mamba
- automatic version update by autodist

* Wed Apr 16 2014 Automatic Build System <autodist@mambasoft.it> 337.12-1mamba
- automatic version update by autodist

* Tue Mar 04 2014 Automatic Build System <autodist@mambasoft.it> 334.21-1mamba
- automatic version update by autodist

* Wed Feb 19 2014 Automatic Build System <autodist@mambasoft.it> 331.49-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 331.38-1mamba
- automatic version update by autodist

* Mon Dec 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 331.20-2mamba
- added conftest patch to fix build on x86

* Thu Nov 07 2013 Automatic Build System <autodist@mambasoft.it> 331.20-1mamba
- automatic version update by autodist

* Mon Sep 16 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 325.15-3mamba
- don't obsolete kernelnvida and Xorg-nvidia

* Sun Sep 15 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 325.15-2mamba
- don't overwrite Makefile now it was renamed upstream

* Tue Aug 06 2013 Automatic Build System <autodist@mambasoft.it> 325.15-1mamba
- automatic version update by autodist

* Tue Jul 02 2013 Automatic Build System <autodist@mambasoft.it> 325.08-1mamba
- automatic version update by autodist

* Tue Jun 25 2013 Automatic Build System <autodist@mambasoft.it> 319.32-1mamba
- automatic version update by autodist

* Fri May 24 2013 Automatic Build System <autodist@mambasoft.it> 319.23-1mamba
- automatic version update by autodist

* Sun May 05 2013 Automatic Build System <autodist@mambasoft.it> 319.17-1mamba
- automatic version update by autodist

* Wed Apr 10 2013 Automatic Build System <autodist@mambasoft.it> 313.30-1mamba
- automatic version update by autodist

* Thu Apr 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 304.60-3mamba
- rebuilt with dkms support (no longer provides precompiled binary modules)
- source renamed to nvidia

* Fri Jan 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 304.60-2mamba
- kernel 3.4 rebuild

* Fri Oct 19 2012 Automatic Build System <autodist@mambasoft.it> 304.60-1mamba
- automatic version update by autodist

* Tue Sep 25 2012 Automatic Build System <autodist@mambasoft.it> 304.51-1mamba
- automatic version update by autodist

* Sun Sep 23 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 304.43-3mamba
- obsoletes legacy 71xx, 96xx, 173xx packages since kernel 3.4 (use nouveau instead)

* Tue Sep 18 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 304.43-2mamba
- rebuilt with kernel 3.4.11

* Tue Aug 28 2012 Automatic Build System <autodist@mambasoft.it> 304.43-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 304.37-1mamba
- automatic version update by autodist

* Wed Jul 18 2012 Automatic Build System <autodist@mambasoft.it> 304.22-1mamba
- update to 304.22

* Mon Jul 02 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 302.17-4mamba
- manage libOpenCL.so.1 alternative

* Sat Jun 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 302.17-3mamba
- kernel 3.4 rebuild

* Sat Jun 30 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 302.17-2mamba
- provide libOpenCL_nividia.so.1.0.0 instead of conflicting libOpenCL.so.1.0.0. TODO: manage libOpenCL.so.1 alternatives

* Mon Jun 25 2012 Automatic Build System <autodist@mambasoft.it> 302.17-1mamba
- automatic version update by autodist
- install libvdpau_nvidia.so and libOpenCL.so.*

* Thu Jun 14 2012 Automatic Build System <autodist@mambasoft.it> 295.59-1mamba
- automatic version update by autodist

* Mon Jun 11 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 295.53-2mamba
- fixed obsoletes for multiple kernel support

* Thu May 17 2012 Automatic Build System <autodist@mambasoft.it> 295.53-1mamba
- automatic version update by autodist

* Fri May 04 2012 Automatic Build System <autodist@mambasoft.it> 295.49-1mamba
- automatic version update by autodist

* Wed Apr 11 2012 Automatic Build System <autodist@mambasoft.it> 295.40-1mamba
- automatic version update by autodist

* Fri Mar 23 2012 Automatic Build System <autodist@mambasoft.it> 295.33-1mamba
- automatic version update by autodist

* Mon Feb 13 2012 Automatic Build System <autodist@mambasoft.it> 295.20-1mamba
- automatic version update by autodist

* Sun Feb 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 290.10-3mamba
- automatic update by autodist

* Wed Jan 25 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 290.10-2mamba
- automatic update by autodist

* Tue Nov 22 2011 Automatic Build System <autodist@mambasoft.it> 290.10-1mamba
- automatic version update by autodist

* Thu Oct 06 2011 Automatic Build System <autodist@mambasoft.it> 285.05.09-1mamba
- automatic version update by autodist

* Sun Sep 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 280.13-4mamba
- automatic update by autodist

* Wed Aug 24 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 280.13-3mamba
- install libnvidia-ml.so.1 to fix an app requirement

* Fri Aug 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 280.13-2mamba
- automatic update by autodist

* Wed Aug 03 2011 Automatic Build System <autodist@mambasoft.it> 280.13-1mamba
- automatic version update by autodist

* Thu Jul 21 2011 Automatic Build System <autodist@mambasoft.it> 275.21-1mamba
- automatic update by autodist

* Fri Jul 15 2011 Automatic Build System <autodist@mambasoft.it> 275.19-1mamba
- automatic update by autodist

* Wed Jun 15 2011 Automatic Build System <autodist@mambasoft.it> 275.09.07-1mamba
- automatic update by autodist

* Fri May 20 2011 Automatic Build System <autodist@mambasoft.it> 270.41.19-1mamba
- automatic update by autodist

* Thu Apr 21 2011 Automatic Build System <autodist@mambasoft.it> 270.41.06-1mamba
- automatic update by autodist

* Wed Apr 20 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 260.19.44-3mamba
- kernel 2.6.38 rebuild

* Fri Mar 11 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 260.19.44-2mamba
- kernel 2.6.37 build

* Mon Mar 07 2011 Automatic Build System <autodist@mambasoft.it> 260.19.44-1mamba
- automatic update by autodist

* Mon Feb 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 260.19.36-1mamba
- update to 260.19.36

* Mon Feb 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 260.19.29-3mamba
- automatic update by autodist

* Fri Dec 17 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 260.19.29-2mamba
- rebuilt with kernel 2.6.35

* Wed Dec 15 2010 Automatic Build System <autodist@mambasoft.it> 260.19.29-1mamba
- automatic update to 260.19.29 by autodist

* Wed Dec 08 2010 Automatic Build System <autodist@mambasoft.it> 260.19.21-1mamba
- automatic update to 260.19.21 by autodist

* Mon Oct 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 256.53-4mamba
- don't manage alternatives for libnvidia-tls.so as soname was changed from libnvidia-tls.so.1 to libnvidia-tls.so.<VERSION>

* Fri Oct 15 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 256.53-3mamba
- fixed for cross-platform build

* Sun Oct 10 2010 Davide Madrisan <davide.madrisan@gmail.com> 256.53-2mamba
- remove alternatives for libnvidia-glcore

* Thu Oct 07 2010 Davide Madrisan <davide.madrisan@gmail.com> 256.53-1mamba
- update to 256.53
- new subpackage xorg-apps-nvidia

* Sun Jul 04 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 195.36.31-3mamba
- update-alternatives-set-nvidia*: fix alternative configuration for kernel module

* Wed Jun 30 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 195.36.31-2mamba
- automatic rebuild by autodist

* Wed Jun 23 2010 Automatic Build System <autodist@mambasoft.it> 195.36.31-1mamba
- automatic update to 195.36.31 by autodist

* Thu Apr 29 2010 Automatic Build System <autodist@mambasoft.it> 195.36.24-1mamba
- automatic update to 195.36.24 by autodist

* Fri Mar 19 2010 Automatic Build System <autodist@mambasoft.it> 195.36.15-1mamba
- automatic update to 195.36.15 by autodist

* Fri Mar 05 2010 Automatic Build System <autodist@mambasoft.it> 195.36.08-1mamba
- automatic update to 195.36.08 by autodist

* Sat Dec 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 190.53-3mamba
- automatic rebuild by autodist

* Sat Dec 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 190.53-2mamba
- update alternatives for kernel mode to support different kernel targets

* Wed Dec 16 2009 Automatic Build System <autodist@mambasoft.it> 190.53-1mamba
- automatic update to 190.53 by autodist

* Tue Oct 27 2009 Automatic Build System <autodist@mambasoft.it> 190.42-1mamba
- automatic update to 190.42 by autodist

* Fri Oct 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 185.18.36-2mamba
- fixed alternatives support for multiple kernel targets

* Sat Aug 22 2009 Automatic Build System <autodist@mambasoft.it> 185.18.36-1mamba
- automatic update to 185.18.36 by autodist

* Thu Aug 13 2009 Automatic Build System <autodist@mambasoft.it> 185.18.31-1mamba
- automatic update to 185.18.31 by autodist

* Sun Aug 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 185.18.29-1mamba
- update to 185.18.29
- source renamed to NVIDIA and version chanded to source real version

* Sun Jul 19 2009 Automatic Build System <autodist@mambasoft.it> 2.6.30.185.18.14-1mamba
- update to 2.6.30.185.18.14

* Sat Jun 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.29.185.18.14-1mamba
- update to 2.6.29.185.18.14

* Fri Jun 19 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.28.185.18.14-1mamba
- update to 2.6.28.185.18.14

* Wed May 13 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.28.180.51-1mamba
- update to 2.6.28.180.51

* Fri Apr 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.28.180.44-1mamba
- update to 2.6.28.180.44

* Sat Feb 21 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.28.180.29-1mamba
- update to 2.6.28.180.29
- legacy 173xx: update to 173.14.15 (beta)

* Sat Feb 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.26.180.22-2mamba
- removed libwfb.so, provided by xorg-server >= 1.4

* Tue Feb 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.26.180.22-1mamba
- update to 2.6.26.180.22

* Thu Dec 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.26-3mamba
- remove PreReq for kernel headers; change to kernel PreReq

* Fri Sep 26 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.26-2mamba
- rebuilt against updated kernel headers (after disabling RT_SCHED_GROUP)

* Mon Sep 15 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.26-1mamba
- update to 2.6.26

* Wed Aug 27 2008 Aleph0 <aleph0@openmamba.org> 4.4.1-1mamba
- nvidia current: update to 177.13
- nvidia 71xx: update to 71.86.06
- nvidia 96xx: update to 96.43.07

* Tue Jun 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.24-2mamba
- nvidia current: update to 173.14.19

* Fri Mar 07 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.24-1mamba
- update to 2.6.24

* Wed Jan 23 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.23-3mamba
- create nvidia.ko alternatives for 71xx and 96xx on updates too
- make depmod silent

* Fri Jan 11 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.23-2mamba
- fix update of nvidia.ko alternatives
- libGL_nvidia*: run ldconfig

* Sat Dec 22 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.23-1mamba
- update to 2.6.23
- nvidia driver: update to 169.07

* Sat Oct 20 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-8mamba
- current driver: added libwfb.so symlink to libnvidia-wfb

* Thu Oct 18 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-7mamba
- restored /usr/lib/libnvidia-tls* needed for building

* Wed Oct 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-6mamba
- set libGL-nvidia* as PrePreq's for the respective xorg-drv-video-nvidia* pkg

* Thu Oct 04 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-5mamba
- run nvidia-autoselect-driver before ldconfig and depmod
- clean libnvidia-tls.so alternative 

* Mon Sep 24 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-4mamba
- handle alternatives for tls/libnvidia-tls too
- excludes %%libdir/libnvidia-tls.so.*
- handle alternatives for libnvidia-cfg and libXvMCNVIDIA too

* Wed Sep 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-3mamba
- update to 100.14.19
- rename kernel modules as *_ko

* Mon Sep 10 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-2mamba
- remove .so extension from libGL, libGLcore and libglx alternatives library 
  to avoid ldconfig reconfigure them removing /etc/alternatives symlink

* Sun Jul 15 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.22-1mamba
- update to version 2.6.22
- handle more generic symlinks to libraries to provide ugrade facility
- execute update-alternatives-set-nvidia* if an alternative symlink is broken

* Sun Jun 24 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.21-6mamba
- update to 100.14.11

* Wed Jun 20 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.21-5mamba
- update to 100.14.09
- 71xx and 96xx packages don't obsolete old packages anymore
- added installation of nvidia-settings and nvidia-xconfig applications
- added installation of libnvidia-wfb xorg module

* Wed Jun 06 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.21-4mamba
- set alternatives for libGLcore.so.1, libXvMCNVIDIA_dynamic.so.1, libnvidia-tls.so.1 and libnvidia-cfg.so.1

* Mon Jun 04 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.21-3mamba
- added common srpm for multiple legacy drivers (71xx and 96xx)
- added nvidia_71xx and nvidia_96xx related packages 
- obsoleting nvidia-legacy related packages
- xorg-drv-video-nvidia-doc: documentation package added

* Sat May 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.21-2mamba
- xorg-drv-video-nvidia: add requirement for xorg-ext-libglx-nvidia and libGL-nvidia-X11
- xorg-ext-libglx-nvidia: set libglx.so.%{nvidia_libver} as an alternative for libglx.so
- libGL-nvidia-X11: create libGL.so.%{nvidia_libver} as an alternative for libGL.so.1
- add provides for libGL.so.1
- xorg-drv-video-nvidia: add update-alternatives-set-nvidia script

* Thu Apr 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.21-1mamba
- rebuild with kernel 2.6.21

* Tue Mar 13 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.20-2qilnx
- driver update to 9755
- obsolete old kernel's package

* Mon Feb 05 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.20-1qilnx
- update to version 2.6.20 by autospec
- nvidia driver update to 9746

* Thu Dec 28 2006 Silvan Calarco <silvan.calrco@qilinux.it> 2.6.19-2qilnx
- rename libglx-nvidia to xorg-ext-libglx-nvidia and obsolete libglx-nvidia

* Thu Dec 21 2006 Silvan Calarco <silvan.calrco@qilinux.it> 2.6.19-1qilnx
- kernel 2.6.19 build
- add support for Xorg 7.1

* Fri Oct 20 2006 Silvan Calarco <silvan.calrco@qilinux.it> 2.6.18-2qilnx
- renamed from kernel26-nongpl-nvidia to kernel-nongpl-nvidia
- driver update to 8776

* Fri Sep 22 2006 Silvan Calarco <silvan.calrco@qilinux.it> 2.6.18-1qilnx
- kernel 2.6.18 build

* Thu Jun 22 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.6.17-1qilnx
- new kernel version build
- update to version 1.0-8762

* Sat May 13 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.16-5qilnx
- rebuilt

* Sun Apr 23 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.16-4qilnx
- don't rmmod kernel module on package removal

* Fri Apr 21 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.16-3qilnx
- rebuild with 2G/2G split kernel

* Sun Apr 16 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.16-2qilnx
- update to version 1.0-8756

* Sun Apr 02 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.16-1qilnx
- new kernel version build

* Thu Mar 30 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.15-11qilnx
- split from kernel26-nongpl source to avoid conflicts with fglrx driver
